<template>
  <article
    class="flex flex-col border-gray-400 bg-white overflow-hidden gap-4 rounded-xl shadow-card_2 hover:shadow-card_5 transition-all"
  >
    <div class="flex gap-4 bg-primary-40 p-4 text-secondary-100">
      <div class="h-20 w-20 rounded-lg overflow-hidden">
        <img class="object-cover w-full h-full" :src="item.img" alt="" />
      </div>
      <div class="grid gap-1">
        <div class="flex gap-1 items-center h-5">
          <p class="font-light">Адрес:</p>
          <p>{{ item.address }}</p>
        </div>
        <div class="flex gap-1 items-center h-5">
          <p class="font-light">Телефон:</p>
          <a href="tel:8 999 130 47 18">{{ item.phone }}</a>
        </div>
        <div class="flex gap-1 items-center h-5">
          <p class="font-light">Дата проведения:</p>
          <p>{{ item.date }}</p>
        </div>
      </div>
    </div>
    <div class="flex gap-4 px-4">
      <div class="grid gap-1">
        <div class="flex gap-1 items-center h-5">
          <p class="font-light">Время</p>
          <p>{{ item.time }}</p>
        </div>
        <div class="flex items-center gap-1 h-5">
          <p class="font-light">Уровень:</p>
          <div class="flex gap-1">
            <span class="h-5 w-5 bg-green-600 rounded-full"></span>
            <span class="h-5 w-5 bg-red-600 rounded-full"></span>
            <span class="h-5 w-5 bg-amber-900 rounded-full"></span>
            <span class="h-5 w-5 bg-black rounded-full"></span>
          </div>
        </div>
      </div>
      <div class="grid gap-1">
        <div class="flex gap-1 items-center h-5">
          <p class="font-light">Формат:</p>
          <p>{{ item.format }}</p>
        </div>
        <div class="flex gap-1 items-center h-5">
          <p class="font-light">Стоимость:</p>
          <p>{{ item.price }} р</p>
        </div>
      </div>
    </div>

    <div class="flex justify-between items-end p-4 pt-0">
      <p class="text-sm">Осталось мест: {{ item.vacancies }}</p>
      <el-button class="ml-auto">Записаться</el-button>
    </div>
  </article>
</template>

<script setup lang="ts">
type Item = {
  img: string;
  address: string;
  phone: number;
  date: string;
  time: string;
  format: string;
  price: number;
  vacancies: number;
};

let item: Item = {
  img: "/src/static/img/no-photo.svg",
  address: "Ленина 30",
  phone: 89991304718,
  date: "06.04.2022",
  time: "15:00 - 17:00",
  format: "Без тренера",
  price: 500,
  vacancies: 7,
};
</script>
